
Foreman - Feature #864

need api call to get list of hosts that belong to a group

04/23/2011 11:40 AM - Corey Osman

Status: Closed   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

I have an issue where I need to find all the hosts that belong to a particular hostgroup.  I know of other ways of getting this

information but it would require me to make a api call for each host which would take too long and possibly crash the server.  I am

looking for the following information:

puppethost, puppethost_id, hostgroup_id

Whats the best of of doing this?

History

#1 - 04/23/2011 12:18 PM - Ohad Levy

- Status changed from New to Feedback

- Priority changed from Urgent to Normal

http://foreman/hosts?search="hostgroup=Default"&format=json

#2 - 04/24/2011 01:16 AM - Corey Osman

- Status changed from Feedback to Closed

Thanks this worked out great.
